#!/bin/ksh 
# Copyright (c) 2002 IBM Corp. - All Rights Reserved.
# IBM makes no representations or warranties about the suitability of
# this program, either express or implied, including but not limited to 
# the implied warranties of merchantability, fitness for a particular 
# purpose, or non-infringement.

# Check parameter $1 is a valid directory.

#Get the directory where the WebSphere Business Connection is installed.

echo "Enter the directory where the IBM WebServices Gateway is installed: "
read WBC_HOME

echo The WebSphere Business Connection is installed in $WBC_HOME > $WBC_HOME/wbc_fixpack_2.log

echo Creating the backup jar.
echo Creating the backup jar. >> $WBC_HOME/wbc_fixpack_2.log

./createbackup.sh $WBC_HOME

echo Installing the FIXPACK. Please wait...
echo Installing the FIXPACK. Please wait...>>$WBC_HOME/wbc_fixpack_2.log

if [ -d $WBC_HOME ]; then 
# test 1st argument is a directory
  tmpdir="${PWD}"
  cd $WBC_HOME
  jar -xvf "${tmpdir}"/wbc_1.1.1_unix_fixpack_2.jar >>$WBC_HOME/wbc_fixpack_2.log
  echo "Extraction completed."
  echo "Extraction completed.">>$WBC_HOME/wbc_fixpack_2.log
  chmod -fR +x *

  cp $tmpdir/uninstall_fixpack_2.sh . >>$WBC_HOME/wbc_fixpack_2.log
  cd $tmpdir

  exit 0
  
else
  echo "The directory specified is not existing"
  echo "Enter the WebServices Gateway Directory"
  echo "Run this script as a root user"
  exit 1
fi

  

